Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ParameterMode

    java.lang.Object
      org.omg.CORBA.ParameterMode

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ParameterMode

extends Object
implements IDLEntity

Enumeration of parameter modes for Parameter. Possible vaues:

- PARAM_IN - Represents an "in" parameter.
- PARAM_OUT - Represents an "out" parameter.
- PARAM_INOUT - Represents an "inout" parameter.

Field Summary
`static int` | `_PARAM_IN`
`static int` | `_PARAM_INOUT`
`static int` | `_PARAM_OUT`
`static ParameterMode` | `PARAM_IN`
`static ParameterMode` | `PARAM_INOUT`
`static ParameterMode` | `PARAM_OUT`

Constructor Summary
`protected` | `ParameterMode(int value)`

Method Summary
`static ParameterMode` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _PARAM_IN

    public static final int _PARAM_IN

See Also:
  Constant Field Values

### PARAM_IN

    public static final ParameterMode PARAM_IN

### _PARAM_OUT

    public static final int _PARAM_OUT

See Also:
  Constant Field Values

### PARAM_OUT

    public static final ParameterMode PARAM_OUT

### _PARAM_INOUT

    public static final int _PARAM_INOUT

See Also:
  Constant Field Values

### PARAM_INOUT

    public static final ParameterMode PARAM_INOUT

Constructor Detail

### ParameterMode

    protected ParameterMode(int value)

Method Detail

### value

    public int value()

### from_int

    public static ParameterMode from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.